<div class="dzm-cc-wrapper position-relative overflow-hidden {$instance->getStyleClasses()}" style="{$instance->getStyleString()};{if $instance->getProperty('shadow')}box-shadow: 0px 10px 40px 0px rgb(0 0 0 / 6%);{else}box-shadow: none;{/if}">
    <div id="dzm-cc-toast-container"></div>
    {if $instance->getProperty('saleBanderole') !== 'isEmpty'}
        <div class="dzm-cc-banderole position-absolute">
            {if $instance->getProperty('saleBanderole') == 'isSale'}
                SALE
            {/if}
            {if $instance->getProperty('saleBanderole') == 'isPercent'}
                <small class="font-weight-bolder">GUTSCHEIN</small>
            {/if}


        </div>
    {/if}
    <div class="row">
        <div class="col-12 col-lg-3 p-0">
            <div class="dzm-cc-coupon-image">
                {$img = $instance->getProperty('img')}
                {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                {image
                srcset=$imgAttribs.srcset
                sizes=$imgAttribs.srcsizes
                src=$imgAttribs.src
                alt=$imgAttribs.alt|escape:'html'
                title=$slideTitle|escape:'html'
                style="max-height:100%; max-width:100%; object-fit:cover;"
                class="w-100"
                }

            </div>
        </div>
        <div class="col-1 d-none d-lg-block"></div>
        <div class="col-12 col-lg-7 d-flex align-items-center justify-content-center">
            <div class="row" style="gap:15px;">
                <div class="col-10">
                    <div class="dzm-cc-codeHeadline">
                        <span class="h2 font-weight-bolder">{$instance->getProperty('couponHeadline')}</span>
                    </div>
                </div>
                <div class="col-10 position-relative">
                        <div class="dzm-cc-codeBox-wrapper d-flex align-items-center justify-content-between p-2">
                                <div><span class="h3 w-100 text-muted text-center" id="text">{$instance->getProperty('code')}</span></div>
                                <div data-toggle="tooltip" data-placement="top" title="Code kopieren"><button class="btn btn-outline-primary" onclick="copyText()"><i class="bi bi-clipboard-check"></i></button></div>
                        </div>

                </div>
                <div class="col-10">
                    <div class="dzm-cc-codeSubText">
                        <span class="small text-muted">{$instance->getProperty('subText')}</span>
                    </div>
                </div>

            </div>

        </div>
    </div>
</div>

<script>
    function copyText() {
        // Get the text element
        const textElement = document.getElementById("text");

        // Create a new textarea element to hold the copied text
        const textarea = document.createElement("textarea");
        textarea.value = textElement.textContent;

        // Add the textarea to the DOM and select the text inside it
        document.body.appendChild(textarea);
        textarea.select();

        // Copy the text to the clipboard
        document.execCommand("copy");

        // Remove the textarea element from the DOM
        document.body.removeChild(textarea);

        // Display a toast notification
        const toastContainer = document.getElementById("dzm-cc-toast-container");

        // Clear any existing toast notifications
        while (toastContainer.firstChild) {
            toastContainer.removeChild(toastContainer.firstChild);
        }

        // Create a new toast notification
        const toast = document.createElement("div");
        toast.classList.add("dzm-cc-toast");
        toast.textContent = "Code kopiert";
        toastContainer.appendChild(toast);
    }
</script>